> ## Documentation Index
> Fetch the complete documentation index at: https://docs.gbase.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get dataset file chunks

> Get dataset file chunks



## OpenAPI

````yaml https://api.gbase.ai/openapi-redoc.json get /v1/datasets/{dataset_id}/files/{file_id}/chunks
openapi: 3.1.0
info:
  title: GBase
  description: >
    # Introduce

    This API document can help you understand GBase more deeply. 

    You can train your own AI directly through the interface of this document.



    ##  Authentication


    Home page: [https://gbase.ai](https://gbase.ai)


    Huggingface:
    [https://huggingface.co/gptbase](https://huggingface.co/gptbase)


    The GBase API uses API keys for authentication. Visit your API Keys page to
    retrieve the API key you'll use in your requests.


    Remember that your API key is a secret! Do not share it with others or
    expose it in any client-side code (browsers, apps). 

    Production requests must be routed through your own backend server where
    your API key can be securely loaded from an environment variable or key
    management service.


    All API requests should include your API key in an Authorization HTTP header
    as follows:


    Parameter name: Authorization


    Value: Bearer [YOUR_API_KEY](https://admin.gbase.ai/keys)


    ```

    Authorization: Bearer YOUR_API_KEY

    ```


    ## Use steps

    1.Fill in your API keys.


    2.You can create an AI by using either the API interface or the
    administrative backend. Once created, the AI will generate an ID which will
    be required for the subsequent steps.


    3.Use the generated ID to call the file upload interface.


    4.After uploading the file, you can use the question interface to inquire
    about it.
  version: 0.0.1
servers:
  - url: https://api.gbase.ai
security: []
paths:
  /v1/datasets/{dataset_id}/files/{file_id}/chunks:
    get:
      tags:
        - Datasets
      summary: Get dataset file chunks
      description: Get dataset file chunks
      operationId: >-
        get_dataset_file_chunks_v1_datasets__dataset_id__files__file_id__chunks_get
      parameters:
        - required: true
          schema:
            type: string
            format: uuid
            title: Dataset Id
          name: dataset_id
          in: path
        - required: true
          schema:
            type: string
            format: uuid
            title: File Id
          name: file_id
          in: path
        - required: false
          schema:
            type: string
            title: Query
            default: ''
          name: query
          in: query
        - required: false
          schema:
            type: integer
            minimum: 1
            title: Page
            default: 1
          name: page
          in: query
        - required: false
          schema:
            type: integer
            maximum: 1000
            minimum: 1
            title: Size
            default: 50
          name: size
          in: query
        - required: false
          schema:
            type: string
            title: Order By
          name: order_by
          in: query
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Page_Embeddings_'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - Auth0ImplicitBearer: []
        - Auth0HTTPBearer: []
        - HTTPBearer: []
components:
  schemas:
    Page_Embeddings_:
      properties:
        items:
          items:
            $ref: '#/components/schemas/Embeddings'
          type: array
          title: Items
        total:
          type: integer
          minimum: 0
          title: Total
        page:
          type: integer
          minimum: 1
          title: Page
        size:
          type: integer
          minimum: 1
          title: Size
        pages:
          type: integer
          minimum: 0
          title: Pages
      type: object
      required:
        - items
        - total
        - page
        - size
      title: Page[Embeddings]
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    Embeddings:
      properties:
        id:
          type: string
          title: Id
        text:
          type: string
          title: Text
        score:
          type: number
          title: Score
        metadata:
          type: object
          title: Metadata
        vector:
          items:
            type: number
          type: array
          title: Vector
        storage_type:
          $ref: '#/components/schemas/VectorStorageType'
        dataset_id:
          type: string
          title: Dataset Id
      type: object
      required:
        - id
        - text
      title: Embeddings
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    VectorStorageType:
      type: string
      enum:
        - pinecone
        - qdrant
        - qdrant_one_collection
      title: VectorStorageType
      description: An enumeration.
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````